Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.tags.core
Class WhileTag

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.tags.core.WhileTag

All Implemented Interfaces:
  Tag

    public class WhileTag

extends TagSupport

A tag which performs an iteration while the result of an expression is true.

Version:
  $Revision: 155420 $
Author:
  Eric Alexander, dIon Gillard

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`WhileTag()` Create a new while tag

Method Summary
`void` | `doTag(XMLOutput output)` Tag interface
`void` | `setTest(Expression e)` Setter for the expression

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhileTag

    public WhileTag()

  Create a new while tag

Method Detail

### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

  Tag interface

  Parameters:
    `output` - destination for xml output
  Throws:
    `MissingAttributeException` - when the test attribute is missing
    `java.lang.Exception` - for anything else
    `JellyTagException`

### setTest

    public void setTest(Expression e)

  Setter for the expression

  Parameters:
    `e` - the expression to test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.